## php.java.bridge
Class ThreadPool.Delegate

    java.lang.Object
      java.lang.Thread
          php.java.bridge.ThreadPool.Delegate

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  ThreadPool

    public final class ThreadPool.Delegate

extends java.lang.Thread

Threads continue to pull runnables and run them in the thread environment.

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Method Summary
`boolean` `isPersistent()` Check if this thread is a daemon thread.
`void` `run()`
`void` `setPersistent()` Make this thread a daemon thread.
`void` `terminatePersistent()` Terminate a daemon thread.

Methods inherited from class java.lang.Thread

`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### setPersistent

    public void setPersistent()

  Make this thread a daemon thread. A daemon is not visible but still managed by the thread pool.

### isPersistent

    public boolean isPersistent()

  Check if this thread is a daemon thread.

  Returns:
    true, if the thread is a daemon, false otherwise

### terminatePersistent

    public void terminatePersistent()

  Terminate a daemon thread.

  Throws:
    `IllegalStateException,` - if the thread is not a daemon

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`